//  Actionscript for ofotoCropper demo

// define globals
// -- these will be based on the actual loaded image in a real application

_global.imageWidth = 240;
_global.imageHeight = 320;
_global.imageLeft = 30;
_global.imageTop = 40;
_global.imageRight = imageLeft + imageWidth;
_global.imageBottom = imageTop + imageHeight;

// helper functions

_global.resizeMask = function () {
	// resize mask location and size
	maskclip._x = UL_cropper._x;
	maskclip._y = UL_cropper._y;
	maskclip._width = BR_cropper._x - maskclip._x;
	maskclip._height = BR_cropper._y - maskclip._y;

	// update coordinate display
	var img_x1 = Math.floor(UL_cropper._x - imageLeft);
	var img_y1 = Math.floor(UL_cropper._y - imageTop);
	var img_x2 = Math.ceil(BR_cropper._x - imageLeft);
	var img_y2 = Math.ceil(BR_cropper._y - imageTop);
		
	ul_xy = "("+img_x1+","+img_y1+")";
	br_xy = "("+img_x2+","+img_y2+")";
}

_global.checkCropperPos = function () {
	if (UL_cropper._x > BR_cropper._x) {
		UL_cropper._x = BR_cropper._x;
	}
	if (UL_cropper._y > BR_cropper._y) {
		UL_cropper._y = BR_cropper._y;
	}	
}

// set up button and clip callbacks

BR_cropper.button.onPress =function () {
	startDrag(BR_cropper,false,imageLeft,imageTop,imageRight,imageBottom);
	BR_cropper.onEnterFrame = function () {
		resizeMask();
		checkCropperPos();
	}
}

UL_cropper.button.onPress =function () {
	startDrag(UL_cropper,false,imageLeft,imageTop,imageRight,imageBottom);
	UL_cropper.onEnterFrame = function () {
		resizeMask();
		checkCropperPos();
	}
}

_root.onMouseUp = function () {
	stopDrag();
	UL_cropper.onEnterFrame = undefined;
	BR_cropper.onEnterFrame = undefined;
}


